PDFlib

高度なPDFアプリケーションの開発を支援する定番プログラムライブラリー Supported by インフォテック株式会社

PDFlib 製品と PHP バージョンの対応表

主な PDFlib 製品と PHP のバージョンの対応表は下記の通りです。

下記に記載のないものについては、該当プラットフォームのパッケージをご確認いただくか、個別にお問い合わせください。

PDFlib / PDFlib+PDI / PDFlib PPS

Windows Server (32bit)

PDFlib、PDI、PPS のバージョン 対応する PHP のバージョン
9.2 5.4、5.5、5.6、7.0、7.1、7.2、7.3
9.1.2 5.4、5.5、5.6、7.0、7.1、7.2
9.1.0、9.1.1 5.3、5.4、5.5、5.6、7.0、7.1
9.0.6、9.0.7 5.3、5.4、5.5、5.6、7.0
9.0.3 ~ 9.0.5 5.3、5.4、5.5、5.6
9.0.1、9.0.2 5.3、5.4、5.5
9.0.0 5.3、5.4

Windows Server (64bit)

PDFlib、PDI、PPS のバージョン 対応する PHP のバージョン
9.2 7.0、7.1、7.2、7.3
9.1.2 7.0、7.1、7.2
9.1.0、9.1.1 7.0、7.1
9.0.6、9.0.7 7.0
9.0.0~9.0.5 -

Linux (32bit、64bit)

PDFlib、PDI、PPS のバージョン 対応する PHP のバージョン
9.2 5.4、5.5、5.6、7.0、7.1、7.2、7.3
9.1.2 5.4、5.5、5.6、7.0、7.1、7.2
9.1.0、9.1.1 5.4、5.5、5.6、7.0、7.1
9.0.6、9.0.7 5.3、5.4、5.5、5.6、7.0
9.0.3 ~ 9.0.5 5.3、5.4、5.5、5.6
9.0.1、9.0.2 5.3、5.4、5.5
9.0.0 5.3、5.4

PDFlib TET

Windows Server (32bit)

TET のバージョン 対応する PHP のバージョン
5.2 5.4、5.5、5.6、7.0、7.1、7.2、7.3
5.1 7.0、7.1
5.0 5.4、5.5、5.6、7.0

Windows Server (64bit)

TET のバージョン 対応する PHP のバージョン
5.2 7.0、7.1、7.2、7.3
5.1 7.0、7.1
5.0 -

Linux (32bit、64bit)

TET のバージョン 対応する PHP のバージョン
5.2 5.4、5.5、5.6、7.0、7.1、7.2、7.3
5.1 5.4、5.5、5.6、7.0、7.1
5.0 5.4、5.5、5.6、7.0

PDFlib PLOP / PLOP DS

Windows Server (32bit)

PLOP、PLOP DS のバージョン 対応する PHP のバージョン
5.3 5.6、7.0、7.1、7.2
5.2 5.4、5.5、5.6、7.0、7.1
5.1 5.3、5.4、5.5、5.6、7.0
5.0 5.3、5.4、5.5、5.6

Windows Server (64bit)

PLOP、PLOP DS のバージョン 対応する PHP のバージョン
5.3 7.0、7.1、7.2
5.2 7.0、7.1
5.0、5.1 -

Linux (32bit、64bit)

PLOP、PLOP DS のバージョン 対応する PHP のバージョン
5.3 5.6、7.0、7.1、7.2
5.2 5.4、5.5、5.6、7.0、7.1
5.1 5.4、5.5、5.6、7.0
5.0 5.3、5.4、5.5、5.6
(Dec 19, 2019 -)